Name:           python-gsutil
Version:        5.35
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A command line tool for interacting with cloud storage services.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://cloud.google.com/storage/docs/gsutil
Source:         %{pypi_source gsutil}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'gsutil' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-gsutil
Summary:        %{summary}

%description -n python3-gsutil %_description


%prep
%autosetup -p1 -n gsutil-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-gsutil -f %{pyproject_files}


%changelog
%autochangelog